/*	adl.h  --  Configuration Library Header

	This module is a header that provides communication
	between the library configuration files and the rest of the
	library.

	Copyright (c) 1983 by James F. Gimpel
	Copyright (c) 1984 by JMI Software Consultants, Inc.

*/

/*	The stnd_file structure is used to communicate information
	from the configuration section concerning properties of
	standard files.
*/

struct stnd_file
	{
	FILE  stf_file;		/* a file designator */
	FLAG  stf_bflag;	/* indicates whether to buffer(1) or not(0) */
	};

/*	The adm_var structure defines the layout of the configuration
	variables.  Their initial contents are defined in admvar.c
	where they are further defined.
*/

struct adm_var
	{
	INT buf_size;	/* buffer size for I/O units */
	INT margin;		/* page width */
	INT min_bu;		/* minimum BASIC unit */
	INT max_bu;		/* maximum BASIC unit */
	INT maxopr;		/* maximum output precision */
	TEXT *prname;	/* Printer name */
	TEXT *strterm;	/* string termination characters */
	INT zoneln;		/* Zone length */
	BOOL needcr;	/* need CR (015) at end of output lines */
	BOOL kybdcr;	/* need CR at end of output lines to keyboard devices */
	};
