/*  parampat - define parameter patterns

	Copyright (c) 1984 by JMI Software Consultants, Inc.
*/
#include "at.h"
#include "ppd.h"

GLOBAL PARAMPAT pdt[] =
	{
	NARG,   STOP,       0,      0,          0,      /* 0 end of pattern */
	TLP,    OLP,        2,      ERR,        0,      /* 1 par_I */
	XINT,   OINT,       3,      ERR,        0,      /* 2 */
	TRP,    ORP,        0,      ERR,        0,      /* 3 */
	TLP,    OLP,        5,      ERR,        0,      /* 4 par_D */
	XDBL,   ODBL,       3,      ERR,        0,      /* 5 */
	TLP,    OLP,        7,      ERR,        0,      /* 6 par_S */
	XSTR,   OSTR,       3,      ERR,        0,      /* 7 */
	TLP,    OLP,        9,      ERR,        0,      /* 8 par_INSTR */
	XINT,   OINT,       10,     DINT+RST,   13,     /* 9 */
	TCOM,   OCOM,       11,     ERR,        0,      /* 10 */
	XSTR,   OSTR,       12,     ERR,        0,      /* 11 */
	TCOM,   OCOM,       7,      ERR,        0,      /* 12 */
	NARG,   OCOM+RST,   11,     ERR,        0,      /* 13 */
	TLP,    OLP,        15,     ERR,        0,      /* 14 par_OPT */
	XANY,   NOOP,       3,      NOOP+RST,   3,      /* 15 */
	NARG,   OLP+RST,    29,     0,          0,      /* 16 par_1OINT */
	0,      0,          0,      0,          0,      /* 17 unused */
	NARG,   OLP+RST,    25,     0,          0,      /* 18 par_3OINT */
	0,      0,          0,      0,          0,      /* 19 unused */
	NARG,   OLP+RST,    21,     0,          0,      /* 20 par_5OINT */
	XINT,   OINT,       22,     DINT+RST,   22,     /* 21 */
	TCOM,   OCOM,       23,     OCOM+RST,   23,     /* 22 */
	XINT,   OINT,       24,     DINT+RST,   24,     /* 23 */
	TCOM,   OCOM,       25,     OCOM+RST,   25,     /* 24 */
	XINT,   OINT,       26,     DINT+RST,   26,     /* 25 */
	TCOM,   OCOM,       27,     OCOM+RST,   27,     /* 26 */
	XINT,   OINT,       28,     DINT+RST,   28,     /* 27 */
	TCOM,   OCOM,       29,     OCOM+RST,   29,     /* 28 */
	XINT,   OINT,       31,     DINT+RST,   31,     /* 29 */
	PSTR,   OPST,       47,     ERR,        0,      /* 30 */
	NARG,   ORP+RST,    0,      0,          0,      /* 31 */
	NARG,   OD+RST,     34,     0,          0,      /* 32 par_USR */
	TLP,    OLP,        55,     ERR,        0,      /* 33 par_VPTR */
	NARG,   OLP+RST,    35,     0,          0,      /* 34 */
	CINT,   OINT,       36,     DINT+RST,   36,     /* 35 */
	TEQ,    OCOM,       37,     ERR,        0,      /* 36 */
	XDBL,   ODBL,       31,     ERR,        0,      /* 37 */
	TEQ,    OS,         121,    ERR,        0,      /* 38 par_DATE */
	TLP,    NOOP,       40,     ERR,        0,      /* 39 par_FN */
	XANY,   OANY,       41,     NOOP+RST,   3,      /* 40 */
	TCOM,   OCOM,       42,     NOOP+RST,   3,      /* 41 */
	XANY,   OANY,       41,     ERR,        0,      /* 42 */
	NARG,   OLP+RST,    44,     0,          0,      /* 43 par_TNARG */
	NARG,   OATS+RST,   31,     0,          0,      /* 44 */
	NARG,   OLP+RST,    46,     0,          0,      /* 45 par_LSET */
	XFLD,   OFLD,       47,     NOOP+RST,   30,     /* 46 */
	TEQ,    OCOM,       122,    ERR,        0,      /* 47 */
	NARG,   OLP+RST,    31,     0,          0,      /* 48 par_NARG */
	NARG,   OB+RST,     50,     0,          0,      /* 49 par_BINF */
	NARG,   OLP+RST,    51,     0,          0,      /* 50 */
	TNUM,   NOOP,       52,     NOOP+RST,   52,     /* 51 */
	XDBL,   OINT,       53,     NOOP+RST,   54,     /* 52 */
	TCOM,   OCOM,       51,     OCOM+RST,   54,     /* 53 */
	NARG,   D0INT+RST,  31,     0,          0,      /* 54 */
	TNUM,   D0INT,      77,     NOOP+RST,   172,        /* 55 */
	NARG,   OS+RST,     57,     0,          0,      /* 56 par_MDST */
	TLP,    OLP,        58,     ERR,        0,      /* 57 */
	PSTR,   OPST,       59,     ERR,        0,      /* 58 */
	TCOM,   OCOM,       60,     ERR,        0,      /* 59 */
	XINT,   OINT,       61,     ERR,        0,      /* 60 */
	TCOM,   OCOM,       62,     OCOM+RST,   62,     /* 61 */
	XINT,   OINT,       63,     DINT+RST,   63,     /* 62 */
	TRP,    OCOM,       64,     ERR,        0,      /* 63 */
	TEQ,    NOOP,       65,     ERR,        0,      /* 64 */
	XSTR,   OSTR,       66,     ERR,        0,      /* 65 */
	NARG,   ORP+RST,    0,      0,          0,      /* 66 */
	NARG,   OLP+RST,    68,     0,          0,      /* 67 par_NAME */
	XSTR,   OSTR,       69,     ERR,        0,      /* 68 */
	TAS,    OCOM,       70,     ERR,        0,      /* 69 */
	XSTR,   OSTR,       31,     ERR,        0,      /* 70 */
	NARG,   OLP+RST,    29,     0,          0,      /* 71 par_X1OINT */
	XSTR,   OD+RST,     73,     NOOP+RST,   73,     /* 72 par_WIDTH */
	NARG,   OLP+RST,    74,     0,          0,      /* 73 */
	XSTR,   OSTR,       75,     NOOP+RST,   78,     /* 74 */
	TCOM,   OCOM,       76,     ERR,        0,      /* 75 */
	XINT,   OINT,       31,     ERR,        0,      /* 76 */
	NARG,   OCOM+RST,   95,     0,          0,      /* 77 */
	XINT,   OINT,       79,     ERR,        0,      /* 78 */
	TCOM,   OCOM,       76,     OCOM+RST,   80,     /* 79 */
	NARG,   DINT+RST,   31,     0,          0,      /* 80 */
	TLP,    OLP,        109,    ERR,        0,      /* 81 par_INP */
	XINT,   OINT,       83,     ERR,        0,      /* 82 */
	TCOM,   OCOM,       84,     OCOM+RST,   85,     /* 83 */
	TNUM,   NOOP,       2,      NOOP+RST,   2,      /* 84 */
	NARG,   DINT+RST,   3,      0,          0,      /* 85 */
	CINT,   NOOP+RST,   87,     NOOP+RST,   91,     /* 86 par_FUSR */
	NARG,   OLP+RST,    88,     0,          0,      /* 87 */
	CINT,   OINT,       89,     0,          0,      /* 88 */
	TLP,    OCOM,       90,     ERR,        0,      /* 89 */
	XANY,   OANY,       3,      ERR,        0,      /* 90 */
	NARG,   OLP+RST,    92,     0,          0,      /* 91 */
	NARG,   DINT+RST,   89,     0,          0,      /* 92 */
	NARG,   OLP+RST,    94,     0,          0,      /* 93 par_SOPT */
	XSTR,   OSTR,       31,     DSTR+RST,   31,     /* 94 */
	XINT,   OINT,       3,      ERR,        0,      /* 95 */
	NARG,   OLP+RST,    97,     0,          0,      /* 96 par_WAIT */
	XINT,   OUNS,       98,     ERR,        0,      /* 97 */
	TCOM,   OCOM,       99,     ERR,        0,      /* 98 */
	XINT,   OINT,       189,    ERR,        0,      /* 99 */
	TLP,    OLP,        101,    ERR,        0,      /* 100 par_TI */
	NARG,   OATS+RST,   102,    0,          0,      /* 101 */
	NARG,   OCOM+RST,   2,      0,          0,      /* 102 */
	TLP,    OLP,        104,    ERR,        0,      /* 103 par_TSI */
	NARG,   OATS+RST,   105,    0,          0,      /* 104 */
	NARG,   OCOM+RST,   152,    0,          0,      /* 105 */
	TLP,    OLP,        107,    ERR,        0,      /* 106 par_TD */
	NARG,   OATS+RST,   108,    0,          0,      /* 107 */
	NARG,   OCOM+RST,   5,      0,          0,      /* 108 */
	NARG,   OATS+RST,   110,    0,          0,      /* 109 */
	NARG,   OCOM+RST,   82,     0,          0,      /* 110 */
	TLP,    OLP,        112,    ERR,        0,      /* 111 par_STR */
	NARG,   OATS+RST,   113,    0,          0,      /* 112 */
	NARG,   OCOM+RST,   114,    0,          0,      /* 113 */
	XINT,   OINT,       115,    ERR,        0,      /* 114 */
	TCOM,   OCOM,       116,    ERR,        0,      /* 115 */
	XINT,   OINT,       158,    NOOP+RST,   117,    /* 116 */
	XSTR,   OSTR,       3,      ERR,        0,      /* 117 */
	TLP,    OLP,        119,    ERR,        0,      /* 118 par_MID */
	NARG,   OATS+RST,   120,    0,          0,      /* 119 */
	NARG,   OCOM+RST,   167,    0,          0,      /* 120 */
	NARG,   OLP+RST,    122,    0,          0,      /* 121 par_XS */
	XSTR,   OSTR,       31,     ERR,        0,      /* 122 */
	TNUM,   NOOP,       135,    NOOP+RST,   135,    /* 123 */
	NARG,   OLP+RST,    128,    0,          0,      /* 124 par_XI */
	NARG,   OLP+RST,    126,    0,          0,      /* 125 par_XUI */
	XINT,   OUNS,       127,    ERR,        0,      /* 126 */
	TCOM,   OCOM,       128,    ERR,        0,      /* 127 */
	XINT,   OINT,       31,     ERR,        0,      /* 128 */
	TEQ,    OLP,        130,    OLP+RST,    130,    /* 129 par_SEG */
	XDBL,   ODBL,       31,     DDBL+RST,   31,     /* 130 */
	NARG,   OB+RST,     132,    0,          0,      /* 131 par_OPEN */
	NARG,   OLP+RST,    133,    0,          0,      /* 132 */
	XSTR,   OSTR,       134,    ERR,        0,      /* 133 */
	TCOM,   OCOM,       123,    NOOP+RST,   139,    /* 134 */
	XINT,   OINT,       136,    ERR,        0,      /* 135 */
	TCOM,   OCOM,       137,    ERR,        0,      /* 136 */
	XSTR,   OSTR,       138,    ERR,        0,      /* 137 */
	TCOM,   OCOM,       29,     OCOM+RST,   29,     /* 138 */
	NARG,   OS+RST,     140,    0,          0,      /* 139 */
	TFOR,   OCOM,       141,    OCOM+RST,   144,    /* 140 */
	TOUT,   OCHO,       145,    NOOP+RST,   142,    /* 141 */
	TINP,   OCHI,       145,    NOOP+RST,   143,    /* 142 */
	TAPP,   OCHA,       145,    ERR,        0,      /* 143 */
	NARG,   OCHR+RST,   145,    0,          0,      /* 144 */
	TAS,    OCOM,       146,    ERR,        0,      /* 145 */
	TNUM,   NOOP,       147,    NOOP+RST,   147,    /* 146 */
	XINT,   OINT,       148,    ERR,        0,      /* 147 */
	TLEN,   OCOM,       149,    OCOM+RST,   151,    /* 148 */
	TEQ,    NOOP,       150,    ERR,        0,      /* 149 */
	XINT,   OINT,       31,     ERR,        0,      /* 150 */
	NARG,   DINT+RST,   31,     ERR,        0,      /* 151 */
	XSTR,   OSTR,       153,    ERR,        0,      /* 152 */
	TCOM,   OCOM,       2,      ERR,        0,      /* 153 */
	XSTR,   D1INT+RST,  155,    NOOP+RST,   175,    /* 154 */
	NARG,   OCOM+RST,   7,      0,          0,      /* 155 */
	TLP,    OLP,        157,    ERR,        0,      /* 156 */
	XINT,   OUNS,       3,      ERR,        0,      /* 157 */
	NARG,   OD+RST,     3,      ERR,        0,      /* 158 */
	NARG,   OLP+RST,    160,    0,          0,      /* 159 par_GET */
	TNUM,   NOOP,       161,    NOOP+RST,   161,    /* 160 */
	XINT,   OINT,       28,     ERR,        0,      /* 161 */
	NARG,   OLP+RST,    163,    0,          0,      /* 162 par_LNUM */
	NARG,   OLBL+RST,   31,     0,          0,      /* 163 */
	TLP,    OLP,        5,      OLP+RST,    165,    /* 164 par_RND */
	NARG,   D1DBL+RST,  31,     ERR,        0,      /* 165 */
	XDBL,   OS+RST,     187,    NOOP+RST,   187,        /* 166 par_RAN */
	XSTR,   OSTR,       168,    ERR,        0,      /* 167 */
	TCOM,   OCOM,       169,    ERR,        0,      /* 168 */
	XINT,   OINT,       170,    ERR,        0,      /* 169 */
	TCOM,   OCOM,       171,    OCOM+RST,   171,    /* 170 */
	XINT,   OINT,       3,      DINT+RST,   3,      /* 171 */
	LFLD,   D1INT+RST,  173,    NOOP+RST,   154,    /* 172 */
	NARG,   OCOM+RST,   174,    0,          0,      /* 173 */
	LFLD,   OFLD,       3,      ERR,        0,      /* 174 */
	LVAL,   DINT+RST,   176,    ERR,        0,      /* 175 */
	NARG,   OCOM+RST,   177,    0,          0,      /* 176 */
	LVAL,   OPLV,       3,      ERR,        0,      /* 177 */
	NARG,   OLP+RST,    179,    0,          0,      /* 178 par_CLEAR */
	TCOM,   DINT,       180,    DINT+RST,   180,    /* 179 */
	NARG,   OCOM+RST,   181,    0,          0,      /* 180 */
	XDBL,   ODBL,       182,    DDBL+RST,   182,    /* 181 */
	TCOM,   OCOM,       183,    OCOM+RST,   186,    /* 182 */
	XDBL,   ODBL,       31,     ERR,        0,      /* 183 */
	NARG,   OB+RST,     156,    0,          0,      /* 184 par_BU */
	NARG,   OB+RST,     125,    0,          0,      /* 185 par_BXUI */
	NARG,   DDBL+RST,   31,     0,          0,      /* 186 */
	NARG,   OLP+RST,    188,    0,          0,      /* 187 */
	XDBL,   ODBL,       31,     DDBL+RST,   31,     /* 188 */
	TCOM,   OCOM,       190,    OCOM+RST,   190,    /* 189 */
	XINT,   OINT,       31,     D0INT+RST,  31,     /* 190 */
	NARG,	OS+RST,		192,	0,			0,		/* 191 par_SHELL */
	NARG,	OLP+RST,	193,	0,			0,		/* 192 */
	XSTR,	OSTR,		31,		DSTR+RST,	31,		/* 193 */
	NARG,	OLP+RST,	195,	0,			0,		/* 194 par_LOCK */
	TNUM,	NOOP,		196,	NOOP+RST,	196,	/* 195 */
	XINT,	OINT,		197,	ERR,		0,		/* 196 */
	TCOM,	OCOM,		198,	OCOM+RST,	198,	/* 197 */
	TRD,	D1INT,		199,	D0INT+RST,	199,	/* 198 */
	TCOM,	OCOM,		200,	OCOM+RST,	200,	/* 199 */
	TWT,	D1INT,		201,	D0INT+RST,	201,	/* 200 */
	TCOM,	OCOM,		202,	OCOM+RST,	202,	/* 201 */
	XINT,	OINT,		203,	DINT+RST,	203,	/* 202 */
	TTO,	OCOM,		204,	OCOM+RST,	204,	/* 203 */
	XINT,	OINT,		31,		DINT+RST,	31,		/* 204 */
	NARG,	OLP+RST,	206,	0,			0,		/* 205 par_UNLK */
	TNUM,	NOOP,		207,	NOOP+RST,	207,	/* 206 */
	XINT,	OINT,		201,	ERR,		0,		/* 207 */
	};
